Bug 961661 - Scaling option should be disabled when creating jenkins server app from web console
Scaling option should be disabled when creating jenkins server app from web ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Website (Show other bugs)
1.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 04:14 EDT by joycezhang
Modified: 2017-03-08 12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:45:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Create jenkins app (62.64 KB, image/png)
2013-05-13 22:27 EDT, joycezhang
no flags Details

  None (edit)
Description joycezhang 2013-05-10 04:14:04 EDT
Description of problem:
If trying to create a jenkins server 1.4 app from web console, the scaling option is not disabled and user can select "scale with web traffic".

Version-Release number of selected component (if applicable):
10.66.9.33/OpenShiftEnterprise/1.2/2013-05-09.2


How reproducible:
always

Steps to Reproduce:
1.Log into openshift web console
2.Create a jenkins server 1.4 app and check scaling option

  
Actual results:
Scaling option is not disabled.

Expected results:
Scaling option is disabled as it can't support scalable apps.

Additional info:
Comment 2 Jason DeTiberus 2013-05-10 11:56:27 EDT
https://github.com/openshift/origin-server/pull/2422
Comment 3 openshift-github-bot 2013-05-10 19:37:14 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/413d3b683c6062fe90324ac5373093670be2e2a7
Bug 961661 - Limit scalability of Jenkins v2 cart

https://bugzilla.redhat.com/show_bug.cgi?id=961661

Adding scaling limitation of 1 gear for
openshift-origin-cartridge-jenkins
Comment 4 joycezhang 2013-05-13 22:26:05 EDT
Verified this bug on build/OpenShiftEnterprise/1.2/2013-05-13.1, Please refer to the screenshot as attached.
Comment 5 joycezhang 2013-05-13 22:27:50 EDT
Created attachment 747489 [details]
Create jenkins app
Comment 6 Luke Meyer 2013-06-28 11:45:58 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.